// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/ChangeAvailability.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace ChangeAvailability {

  /// <summary>Holder for reflection information generated from command/charger/ChangeAvailability.proto</summary>
  public static partial class ChangeAvailabilityReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/ChangeAvailability.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static ChangeAvailabilityReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cihjb21tYW5kL2NoYXJnZXIvQ2hhbmdlQXZhaWxhYmlsaXR5LnByb3RvEhNj",
            "aGFuZ2VfYXZhaWxhYmlsaXR5IrQBChlDaGFuZ2VBdmFpbGFiaWxpdHlDb21t",
            "YW5kEhQKDGNvbm5lY3Rvcl9pZBgBIAEoBRJNCgR0eXBlGAIgASgOMj8uY2hh",
            "bmdlX2F2YWlsYWJpbGl0eS5DaGFuZ2VBdmFpbGFiaWxpdHlDb21tYW5kLkF2",
            "YWlsYWJpbGl0eVR5cGUiMgoQQXZhaWxhYmlsaXR5VHlwZRIPCgtJbm9wZXJh",
            "dGl2ZRAAEg0KCU9wZXJhdGl2ZRABIr8BCiFDaGFuZ2VBdmFpbGFiaWxpdHlD",
            "b21tYW5kUmVzcG9uc2USWQoGc3RhdHVzGAEgASgOMkkuY2hhbmdlX2F2YWls",
            "YWJpbGl0eS5DaGFuZ2VBdmFpbGFiaWxpdHlDb21tYW5kUmVzcG9uc2UuQXZh",
            "aWxhYmlsaXR5U3RhdHVzIj8KEkF2YWlsYWJpbGl0eVN0YXR1cxIMCghBY2Nl",
            "cHRlZBAAEgwKCFJlamVjdGVkEAESDQoJU2NoZWR1bGVkEAJCkAEKIWNvbS5j",
            "b2RpYmx5Lm1vZGVsLmNvbW1hbmQuY2hhcmdlckIXQ2hhbmdlQXZhaWxhYmls",
            "aXR5UHJvdG/KAiFEb21haW5Nb2RlbFxQcm90b1xDb21tYW5kXENoYXJnZXLi",
            "Ai1Eb21haW5Nb2RlbFxQcm90b1xDb21tYW5kXENoYXJnZXJcR1BCTWV0YWRh",
            "dGFiBnByb3RvMw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::ChangeAvailability.ChangeAvailabilityCommand), global::ChangeAvailability.ChangeAvailabilityCommand.Parser, new[]{ "ConnectorId", "Type" }, null, new[]{ typeof(global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType) }, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::ChangeAvailability.ChangeAvailabilityCommandResponse), global::ChangeAvailability.ChangeAvailabilityCommandResponse.Parser, new[]{ "Status" }, null, new[]{ typeof(global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class ChangeAvailabilityCommand : pb::IMessage<ChangeAvailabilityCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<ChangeAvailabilityCommand> _parser = new pb::MessageParser<ChangeAvailabilityCommand>(() => new ChangeAvailabilityCommand());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<ChangeAvailabilityCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::ChangeAvailability.ChangeAvailabilityReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChangeAvailabilityCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChangeAvailabilityCommand(ChangeAvailabilityCommand other) : this() {
      connectorId_ = other.connectorId_;
      type_ = other.type_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChangeAvailabilityCommand Clone() {
      return new ChangeAvailabilityCommand(this);
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 1;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { return connectorId_; }
      set {
        connectorId_ = value;
      }
    }

    /// <summary>Field number for the "type" field.</summary>
    public const int TypeFieldNumber = 2;
    private global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType type_ = global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType.Inoperative;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType Type {
      get { return type_; }
      set {
        type_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as ChangeAvailabilityCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(ChangeAvailabilityCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ConnectorId != other.ConnectorId) return false;
      if (Type != other.Type) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (ConnectorId != 0) hash ^= ConnectorId.GetHashCode();
      if (Type != global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType.Inoperative) hash ^= Type.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (Type != global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType.Inoperative) {
        output.WriteRawTag(16);
        output.WriteEnum((int) Type);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (Type != global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType.Inoperative) {
        output.WriteRawTag(16);
        output.WriteEnum((int) Type);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (ConnectorId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (Type != global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType.Inoperative) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Type);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(ChangeAvailabilityCommand other) {
      if (other == null) {
        return;
      }
      if (other.ConnectorId != 0) {
        ConnectorId = other.ConnectorId;
      }
      if (other.Type != global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType.Inoperative) {
        Type = other.Type;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 16: {
            Type = (global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 16: {
            Type = (global::ChangeAvailability.ChangeAvailabilityCommand.Types.AvailabilityType) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the ChangeAvailabilityCommand message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum AvailabilityType {
        [pbr::OriginalName("Inoperative")] Inoperative = 0,
        [pbr::OriginalName("Operative")] Operative = 1,
      }

    }
    #endregion

  }

  public sealed partial class ChangeAvailabilityCommandResponse : pb::IMessage<ChangeAvailabilityCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<ChangeAvailabilityCommandResponse> _parser = new pb::MessageParser<ChangeAvailabilityCommandResponse>(() => new ChangeAvailabilityCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<ChangeAvailabilityCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::ChangeAvailability.ChangeAvailabilityReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChangeAvailabilityCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChangeAvailabilityCommandResponse(ChangeAvailabilityCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChangeAvailabilityCommandResponse Clone() {
      return new ChangeAvailabilityCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus status_ = global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as ChangeAvailabilityCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(ChangeAvailabilityCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(ChangeAvailabilityCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::ChangeAvailability.ChangeAvailabilityCommandResponse.Types.AvailabilityStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the ChangeAvailabilityCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum AvailabilityStatus {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Rejected")] Rejected = 1,
        [pbr::OriginalName("Scheduled")] Scheduled = 2,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
